Difference between revisions of "TechDraw Quadrants"

From FreeCAD Documentation
Jump to: navigation, search
(9 intermediate revisions by 4 users not shown)
Line 2: Line 2:
 
<translate>
 
<translate>
 
<!--T:16-->
 
<!--T:16-->
{{Docnav|[[TechDraw_Quadrant|Quadrant]]|[[TechDraw_Hatching|Hatching]]|[[TechDraw_Module|TechDraw]]|IconL=Techdraw-midpoint.svg|IconC=Workbench_TechDraw.svg|IconR=Techdraw-hatch.svg}}
+
{{Docnav
 +
|[[TechDraw_Midpoints|Midpoints]]
 +
|[[TechDraw FaceCenterLine|FaceCenterLine]]
 +
|[[TechDraw_Module|TechDraw]]
 +
|IconL=Techdraw-midpoint.svg
 +
|IconC=Workbench_TechDraw.svg
 +
|IconR=techdraw-facecenterline.svg
 +
}}
  
 
<!--T:1-->
 
<!--T:1-->
 
{{GuiCommand
 
{{GuiCommand
 
|Name=TechDraw Quadrant
 
|Name=TechDraw Quadrant
|Icon=techdraw-Quadrant.svg
+
|Icon=techdraw-quadrant.svg
|MenuLocation=TechDraw → Quadrant
+
|MenuLocation=TechDraw → Add Vertices → Add Quadrant Vertices
 
|Workbenches=[[TechDraw Module|TechDraw]]
 
|Workbenches=[[TechDraw Module|TechDraw]]
 
|SeeAlso=[[TechDraw CosmeticVertex]], [[TechDraw Midpoints]]
 
|SeeAlso=[[TechDraw CosmeticVertex]], [[TechDraw Midpoints]]
 +
|Version=0.19
 
}}
 
}}
  
Line 16: Line 24:
  
 
<!--T:8-->
 
<!--T:8-->
The Quadrant tool adds Cosmetic Vertices at the 90/180/270 degree points of a circular Edge (the 0 degree vertex should already be there as a geometric vertex).
+
The Quadrant tool adds cosmetic vertices at the 90/180/270 degree points of a circular Edge. The 0 degree vertex should already be there as a geometric vertex.
  
 
</translate>
 
</translate>
Line 22: Line 30:
 
<translate>
 
<translate>
 
<!--T:9-->
 
<!--T:9-->
{{Caption|Cosmetic Vertices at quadrant points of a circle}}
+
{{Caption|Cosmetic vertices at quadrant points of a circle}}
  
 
==How to use== <!--T:3-->
 
==How to use== <!--T:3-->
Line 28: Line 36:
 
<!--T:10-->
 
<!--T:10-->
 
# Select one or more (circular) Edges in a View.  
 
# Select one or more (circular) Edges in a View.  
# Press the {{Button|[[Image:techdraw-quadrant.svg|16px]] [[TechDraw Quadrant|Quadrant]]}} button
+
# Press the {{Button|[[Image:Techdraw-quadrant.svg|16px]] [[TechDraw Quadrant|Quadrant]]}} button.
# Cosmetic Vertices will be added at the quarter-point(s) of the Edge(s).
+
# Cosmetic vertices will be added at the quarter-points of the edges.
  
 +
<!--T:18-->
 +
This tool can be used on any edge, not just circles.
  
 
==Properties== <!--T:19-->
 
==Properties== <!--T:19-->
Line 40: Line 50:
  
 
<!--T:12-->
 
<!--T:12-->
{{Emphasis|See also:}} [[TechDraw API]] and [[FreeCAD Scripting Basics]].
+
{{Emphasis|See also:}} [[TechDraw API|TechDraw API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].
  
 
<!--T:13-->
 
<!--T:13-->
Cosmetic Vertices are not accessible from [[macros]] or the [[Python]] console at this time.  This snippet will remove all Cosmetic Vertices from the View.
+
Cosmetic Vertices are not accessible from [[macros|macros]] or the [[Python|Python]] console at this time.  This snippet will remove all Cosmetic Vertices from the View.
  
 
</translate>
 
</translate>
Line 53: Line 63:
  
 
<translate>
 
<translate>
 
==Notes== <!--T:18-->
 
* This feature was added in v0.19
 
* This tool can actually be used on any Edge, not just circles.
 
  
 
<!--T:17-->
 
<!--T:17-->
{{Docnav|[[TechDraw_Quadrant|Cosmetic Vertex]]|[[TechDraw_Quadrant|Quadrant]]|[[TechDraw_Module|TechDraw]]|IconL=Techdraw-point.svg|IconC=Workbench_TechDraw.svg|IconR=Techdraw-quadrant.svg}}
+
{{Docnav
 +
|[[TechDraw_Midpoints|Midpoints]]
 +
|[[TechDraw FaceCenterLine|FaceCenterLine]]
 +
|[[TechDraw_Module|TechDraw]]
 +
|IconL=Techdraw-midpoint.svg
 +
|IconC=Workbench_TechDraw.svg
 +
|IconR=techdraw-facecenterline.svg
 +
}}
  
 
<!--T:14-->
 
<!--T:14-->

Revision as of 13:58, 8 December 2019

Other languages:
Deutsch • ‎English • ‎français • ‎italiano

Techdraw-quadrant.svg TechDraw Quadrant

Menu location
TechDraw → Add Vertices → Add Quadrant Vertices
Workbenches
TechDraw
Default shortcut
None
Introduced in version
0.19
See also
TechDraw CosmeticVertex, TechDraw Midpoints


Description

The Quadrant tool adds cosmetic vertices at the 90/180/270 degree points of a circular Edge. The 0 degree vertex should already be there as a geometric vertex.

TechDraw CosmeticQuadrant Sample.png

Cosmetic vertices at quadrant points of a circle


How to use

  1. Select one or more (circular) Edges in a View.
  2. Press the Techdraw-quadrant.svg Quadrant button.
  3. Cosmetic vertices will be added at the quarter-points of the edges.

This tool can be used on any edge, not just circles.

Properties

Cosmetic Vertices have no properties of their own, as they are not Document Objects. They share color and size settings with regular geometry vertices.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

Cosmetic Vertices are not accessible from macros or the Python console at this time. This snippet will remove all Cosmetic Vertices from the View.

>>> v = App.ActiveDocument.View
>>> v.clearCV()
>>> App.activeDocument().recompute()